LUC_IES< COFACTOR_OPTION, DHAES_MODE > Struct Template Reference

LUC-IES. More...

`#include <luc.h>`

Inheritance diagram for LUC_IES< COFACTOR_OPTION, DHAES_MODE >:

## Public Types

typedef PK_FinalTemplate< DL_DecryptorImpl< SchemeOptions > > | Decryptor
| implements PK_Decryptor interface
typedef PK_FinalTemplate< DL_EncryptorImpl< SchemeOptions > > | Encryptor
| implements PK_Encryptor interface
typedef DL_GroupParameters_LUC_DefaultSafePrime | GroupParameters
typedef DL_PublicKey_GFP< GroupParameters > | PublicKey
typedef DL_PrivateKey_GFP< GroupParameters > | PrivateKey

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class COFACTOR_OPTION = NoCofactorMultiplication, bool DHAES_MODE = true>
struct LUC_IES< COFACTOR_OPTION, DHAES_MODE >

LUC-IES.

Definition at line 218 of file luc.h.

The documentation for this struct was generated from the following file:

- luc.h